petsc-3.4.2 2013-07-02

# PetscViewerBinarySetFlowControl

Sets how many messages are allowed to outstanding at the same time during parallel IO reads/writes

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerBinarySetFlowControl(PetscViewer viewer,PetscInt fc)

Not Collective

### Input Parameter

| viewer | - PetscViewer context, obtained from PetscViewerBinaryOpen()
| fc | - the number of messages, defaults to 256 if this function was not called

### See Also

PetscViewerBinaryOpen(),PetscViewerBinaryGetInfoPointer(), PetscViewerBinaryGetFlowControl()

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex10.c.html